LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08438Bug reports[All Projects] Response browsingpublic2013-12-09 16:462013-12-19 14:17
Reporterjjxice46 
Assigned ToDenisChenu 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.05+ 
Summary08438: Hidden Fields Not recording default data
DescriptionI have noticed a weird issue since i updated to Version 2.00+ Build 131206. We have 6 hidden short text fields that are set to fill in with default values from the token table (such as TOKEN:ATTRIBUTE_1 and so on). These fields have been working fine up until an update was done to build 131206. since that update those fields are no longer recording to survey results
Steps To ReproduceCreate a survey that has hidden fields that are short free text
give the hidden field a default field value of one of the token attributes
Activate the survey
take the survey
view the survey results.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDVersion 2.00+ Build 131206
Browser
Database & DB-VersionMysql 5.6.12
Operating System (Server)Windows Server 2012
Webserver software & versionIIS 8
PHP Version5.4.14
Attached Files? file icon Sample Survey.lss [^] (31,702 bytes) 2013-12-09 19:37

- Relationships
related to 08315closedDenisChenu Group hidden when Multiple Choice has placeholder question text and a dependent question. 

-  Notes
User avatar (27530)
jjxice46 (reporter)
2013-12-09 17:07

This issue also happens in Version 2.05+ Build 131209
User avatar (27531)
c_schmitz (administrator)
2013-12-09 17:31

Are you sure you did not change the survey? Like switching from group-by-group to all-in-one mode or similar?
User avatar (27532)
jjxice46 (reporter)
2013-12-09 17:34

No sir, everything stayed the same with the survey. the only thing i did was update to Build 131206
User avatar (27533)
jjxice46 (reporter)
2013-12-09 17:37

i also attempted to make a new survey with the same type of setup and it also does not record the data in the hidden fields.
User avatar (27534)
c_schmitz (administrator)
2013-12-09 19:02

Do you remember what was your previous build and version? Can you please attach a sample survey as .lsa demonstrating the issue?
User avatar (27535)
jjxice46 (reporter)
2013-12-09 19:36

I have attached a survey that we are using, it has 8 hidden fields & 6 custom token attributes that we use.

And i believe if i am not mistaken that the prior version was 2.00 build 131031 which it worked perfectly in.

please let me know if there is any more information i can provide you
User avatar (27543)
jjxice46 (reporter)
2013-12-10 16:49

as a small update, i tested this out on a new install of lime survey Version 2.05+ Build 131209 on a Linux (Ubuntu) server and made a very small test survey and the same result occurred where the hidden fields that had a default value were not recording.
User avatar (27565)
alansz (reporter)
2013-12-15 20:47

I am seeing the same thing with a survey using a URL prefill on limeservice (with newtest/Y)

If the prefilled question (short text) is set visible, all is well.

If it's hidden, the value is put into the field when I first visit the URL (I can see it as an incomplete response) but when I submit the survey (either completed or incomplete), the value is cleared.
User avatar (27626)
c_schmitz (administrator)
2013-12-19 09:46
edited on: 2013-12-19 09:46

Denis, the issue was introduced with your patch for 08315.

User avatar (27632)
DenisChenu (developer)
2013-12-19 11:02

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13604 [^]
User avatar (27633)
DenisChenu (developer)
2013-12-19 11:03

Same fix can be applied to 2.00
Tested bug 08315 : fixed too
User avatar (27653)
c_schmitz (administrator)
2013-12-19 14:17

2.05+ Build 131219 released

- Related Changesets
LimeSurvey: master fb049ab1
Timestamp: 2013-12-19 10:00:36
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 08438: Hidden Fields Not recording default data
Dev: pageRelevanceInfo do javascript AND php
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-09 16:46 jjxice46 New Issue
2013-12-09 17:07 jjxice46 Note Added: 27530
2013-12-09 17:31 c_schmitz Note Added: 27531
2013-12-09 17:31 c_schmitz Assigned To => c_schmitz
2013-12-09 17:31 c_schmitz Status new => feedback
2013-12-09 17:34 jjxice46 Note Added: 27532
2013-12-09 17:34 jjxice46 Status feedback => assigned
2013-12-09 17:37 jjxice46 Note Added: 27533
2013-12-09 19:02 c_schmitz Note Added: 27534
2013-12-09 19:36 jjxice46 Note Added: 27535
2013-12-09 19:37 jjxice46 File Added: Sample Survey.lss
2013-12-10 16:49 jjxice46 Note Added: 27543
2013-12-15 20:47 alansz Note Added: 27565
2013-12-19 09:43 c_schmitz Relationship added related to 08315
2013-12-19 09:46 c_schmitz Assigned To c_schmitz => DenisChenu
2013-12-19 09:46 c_schmitz Note Added: 27626
2013-12-19 09:46 c_schmitz Note Edited: 27626 View Revisions
2013-12-19 09:49 c_schmitz Priority normal => urgent
2013-12-19 11:02 DenisChenu Changeset attached => LimeSurvey master fb049ab1
2013-12-19 11:02 DenisChenu Note Added: 27632
2013-12-19 11:02 DenisChenu Resolution open => fixed
2013-12-19 11:03 DenisChenu Note Added: 27633
2013-12-19 11:03 DenisChenu Status assigned => resolved
2013-12-19 11:03 DenisChenu Fixed in Version => 2.05+
2013-12-19 14:17 c_schmitz Note Added: 27653
2013-12-19 14:17 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker